# Download a report Download a transaction report. Download the report by applying the report-id from the List reports operation as a path parameter. Note: Depending on the reportId you specified, the returned report is either a Payment operations report or a Reconciliation report. Endpoint: GET /v1/reports/download/{report-id} Security: Bearer ## Path parameters: - `report-id` (string, required) Unique identifier for a report. Get this report-id from the List reports operation. Example: "497f6eca-6276-4993-bfeb-53cbbbba6f08" ## Response 400 fields (application/json): - `type` (string, required) Example: "https://docs.ripple.com/payments-odl/api-docs/report_service/reference/#error/RPT_1" - `errorCode` (string, required) Example: "RPT_1" - `title` (string, required) Example: "BAD_REQUEST" - `detail` (string) Example: "Required field missing" - `time` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp. Example: "2018-04-06T20:33:35Z" ## Response 403 fields (application/json): - `type` (string, required) Example: "https://docs.ripple.com/payments-odl/api-docs/report_service/reference/#error/RPT_1" - `errorCode` (string, required) Example: "RPT_1" - `title` (string, required) Example: "BAD_REQUEST" - `detail` (string) Example: "Required field missing" - `time` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp. Example: "2018-04-06T20:33:35Z" ## Response 404 fields (application/json): - `type` (string, required) Example: "https://docs.ripple.com/payments-odl/api-docs/report_service/reference/#error/RPT_1" - `errorCode` (string, required) Example: "RPT_1" - `title` (string, required) Example: "BAD_REQUEST" - `detail` (string) Example: "Required field missing" - `time` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp. Example: "2018-04-06T20:33:35Z" ## Response 204 fields